Start autotool-ing the debootstrap instance
authorIustin Pop <iustin@google.com>
Tue, 1 Jul 2008 07:59:18 +0000 (07:59 +0000)
committerIustin Pop <iustin@google.com>
Tue, 1 Jul 2008 07:59:18 +0000 (07:59 +0000)
This patch is the start of changing the debootstrap instance to
autotools. Right now it only installs the existing code into
$datadir/ganeti/os/debootstrap, even though we still install only etch.

Reviewed-by: imsnah

.gitignore [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
autogen.sh [new file with mode: 0755]
configure.ac [new file with mode: 0644]

diff --git a/.gitignore b/.gitignore
new file mode 100644 (file)
index 0000000..b718fc7
--- /dev/null
@@ -0,0 +1,10 @@
+# gitignore rules
+/Makefile
+/Makefile.in
+/aclocal.m4
+/autom4te.cache
+/autotools
+/config.log
+/config.status
+/configure
+/ganeti-instance-debootstrap-*.tar.gz
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..50f164e
--- /dev/null
@@ -0,0 +1,8 @@
+osname=$(subst ganeti-instance-,,$(PACKAGE))
+
+osdir=$(datadir)/ganeti/os/$(osname)
+
+dist_os_SCRIPTS = create import export rename
+dist_os_DATA = ganeti_api_version
+
+dist_doc_DATA = COPYING NEWS README
diff --git a/autogen.sh b/autogen.sh
new file mode 100755 (executable)
index 0000000..c87d12b
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if test ! -f configure.ac ; then
+  echo "You must execute this script from the top level directory."
+  exit 1
+fi
+
+set -e
+
+rm -rf config.cache autom4te.cache
+mkdir -p autotools
+
+${ACLOCAL:-aclocal} -I autotools
+${AUTOCONF:-autoconf}
+${AUTOMAKE:-automake} --add-missing
+
+rm -rf autom4te.cache
diff --git a/configure.ac b/configure.ac
new file mode 100644 (file)
index 0000000..570deb0
--- /dev/null
@@ -0,0 +1,15 @@
+AC_PREREQ(2.59)
+AC_INIT(ganeti-instance-debootstrap, 0.4, ganeti@googlegroups.com)
+
+AC_CONFIG_AUX_DIR(autotools)
+AC_CONFIG_SRCDIR(configure)
+
+AM_INIT_AUTOMAKE([1.9 foreign tar-ustar -Wall -Wno-portability])
+
+# Check common programs
+AC_PROG_INSTALL
+AC_PROG_LN_S
+
+AC_CONFIG_FILES([ Makefile ])
+
+AC_OUTPUT